Packages - Packaging Request #1757

[gsequencer] Add this software to Parabola please
2018-04-24 09:39 AM - ani

Status: in progress % Done: 0%
Priority: wish

Assignee: bill-auger

Category:

Description

https://wiki.linuxaudio.org/apps/all/ags

Seems to be alright looking at the Debian package | see nothing about a non free issue.

History

#1 - 2018-04-25 02:42 PM - bill-auger
- Priority changed from discussion to wish

- Assignee deleted (bill-auger)

this program has many dependencies
no existing PKGBUILD exists
git repo on savannah http:/git.savannah.nongnu.org/cgit/gsequencer.git

#2 - 2018-05-01 03:06 PM - bill-auger
the author has added this to AUR but it is not actually compiling

#3 - 2018-05-13 11:02 PM - bill-auger

- Assignee set to bill-auger

#4 - 2018-06-20 02:45 AM - bill-auger

- Status changed from open to in progress

there is an initial version in [pcr-testing]

#5 - 2018-06-22 02:51 AM - bill-auger

Joél (the author) has packaged a custom version of the 'libinstapatch' dependency for AUR - 'libinstapatch' is a package in parabola already as a dep
of the 'swami' suite - it seems to be exactly the same version (1.0.0) and 'gsequencer’ builds against it with no problem - the only difference i noticed
is that the upstream pkgconfig file has 'audiofile’ as a dep and Joél's has 'sndfile’ in it's place - to allow the build to succeed for this initial package, i
entered the build chroot and manually editied the 'libinstapatch’ .pc file to require the 'gsequencer’ dep 'sndfile’ - some attention will be needed to
allow both 'gsequencer' and 'swami' to share the 'libinstapatch' dependency

the install phase fails unless “autoreconf -ifv' is run prior to the build
the install phase then shows many warnings perhaps harmless - do you think these could be a problem?
<Joél>: | am unsure about this but *.la should not be installed, anyway.

libtool: warning: 'libgsequencer.la' has not been installed in '/usr/lib/gsequencer'

libtool: warning: '/packages/abslibre/pcr-testing/gsequencer/src/gsequencer—-1.4.31/1libags_audio.la' has not be

en installed in '/usr/lib'

libtool: warning: '/packages/abslibre/pcr-testing/gsequencer/src/gsequencer—1.4.31/1libags_gui.la' has not been
installed in '/usr/lib'

libtool: warning: 'libags_audio.la' has not been installed in '/usr/lib'

libtool: warning: '/packages/abslibre/pcr-testing/gsequencer/src/gsequencer—1.4.31/1libags_server.la' has not b

een installed in '/usr/lib'

libtool: warning: 'libags_server.la' has not been installed in '/usr/lib'

libtool: warning: '/packages/abslibre/pcr-testing/gsequencer/src/gsequencer—1.4.31/1libags_thread.la' has not b

een installed in '/usr/lib'

libtool: warning: 'libags_gui.la' has not been installed in '/usr/lib'

libtool: warning: 'libags_thread.la' has not been installed in '/usr/lib'

libtool: warning: '/packages/abslibre/pcr-testing/gsequencer/src/gsequencer—-1.4.31/1libags.la' has not been ins

talled in '/usr/lib'
libtool: warning:
libtool: install:

'libags.la' has not been installed in '/usr/lib'

/usr/bin/install -c .libs/gsequencer /packages/abslibre/pcr-testing/gsequencer/pkg/gsequence

r/usr/bin/gsequencer

libtool: warning:
libtool: warning:
een installed in
libtool: warning:
libtool: warning:
een installed in
libtool: warning:
libtool: warning:
libtool: warning:

'libags_audio.la' has not been installed in '/usr/lib'

' /packages/abslibre/pcr-testing/gsequencer/src/gsequencer-1.4.31/1libags_server.la' has not b

/usr/1lib"
'libags_server.la' has not been installed in '/usr/lib'

' /packages/abslibre/pcr-testing/gsequencer/src/gsequencer-1.4.31/1libags_thread.la' has not b

/usr/1lib"
'libags_gui.la' has not been installed in '/usr/lib'
'libags_thread.la' has not been installed in '/usr/lib'

' /packages/abslibre/pcr-testing/gsequencer/src/gsequencer-1.4.31/1libags.la' has not been ins

talled in '/usr/lib'

libtool: warning:

'libags.la' has not been installed in '/usr/lib'

#6 - 2018-07-06 03:49 PM - bill-auger

the latest upstream git source also requires 'sndfile' rather than 'audiofile’ - it is several years ahead of the latest release - perhaps the best thing to do
here is to drop 'swami' and 'libinstapatch' and introduce 'swami-git' and 'libinstapatch-git' so that both 'swami' and 'gsequencer' can share the same

'libinstapatch’ dep
